Bug 874265 - Installation Options screen is too wide for 1024x768 display in German
Installation Options screen is too wide for 1024x768 display in German
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
All All
unspecified Severity high
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
AcceptedNTH
: i18n
Depends On:
Blocks: F18Beta-accepted/F18BetaFreezeExcept
  Show dependency treegraph
 
Reported: 2012-11-07 14:59 EST by Adam Williamson
Modified: 2012-11-23 02:49 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-23 01:35:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of too-wide dialog (98.53 KB, image/png)
2012-11-07 14:59 EST, Adam Williamson
no flags Details
dialog in 18.28 (71.44 KB, image/png)
2012-11-13 06:30 EST, Kamil Páral
no flags Details
dialog in 18.29 (76.72 KB, image/png)
2012-11-13 06:30 EST, Kamil Páral
no flags Details

  None (edit)
Description Adam Williamson 2012-11-07 14:59:38 EST
Created attachment 640328 [details]
screenshot of too-wide dialog

See attached screenshot. This is the screen that pops up after you pick disks but you don't have enough space to install, and offers to let you reclaim space via the guided dialog or custom partitioning.
Comment 1 Adam Williamson 2012-11-07 15:34:13 EST
Propose NTH, this is pretty ugly for a commonly-used language.
Comment 2 Chris Lumens 2012-11-08 14:10:12 EST
I think we can solve this with a combination of shorter translations and setting word wrapping.
Comment 3 Fedora Update System 2012-11-12 20:24:03 EST
anaconda-18.29-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.29-1.fc18
Comment 4 Kamil Páral 2012-11-13 06:29:46 EST
For some reason the german dialog in my VM using the same resolution fits the screen quite nice in anaconda 18.28. But in 18.29, it's definitely even narrower.
Comment 5 Kamil Páral 2012-11-13 06:30:19 EST
Created attachment 644065 [details]
dialog in 18.28
Comment 6 Kamil Páral 2012-11-13 06:30:27 EST
Created attachment 644066 [details]
dialog in 18.29
Comment 7 Chris Lumens 2012-11-13 09:48:50 EST
It all just depends on the resolution you happen to end up with.  If I started qemu-kvm with "-vga std", I could reproduce the original complaint.  Without those arguments, it fit just fine.  So I guess we'll just go with the narrow dialog to be safe.
Comment 8 Fedora Update System 2012-11-13 14:07:10 EST
Package anaconda-18.29-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.29-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-18105/anaconda-18.29-1.fc18
then log in and leave karma (feedback).
Comment 9 Kamil Páral 2012-11-14 13:11:33 EST
Discussed at 2012-11-14 blocker bug meeting. Accepted as a blocker: This is a minor translation and display issue and leads to better usability  - a tested fix would be considered past freeze.
Comment 10 Adam Williamson 2012-11-23 01:35:52 EST
Confirmed fine in Beta RC1. 18.29.2-1 is going stable now, closing.
Comment 11 Fedora Update System 2012-11-23 02:49:20 EST
anaconda-18.29-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.